#!/bin/env __BOURNE_SHELL__
#
# =========================================================================
# File: __FILENAME__
#
# Copyright (c) __YEAR__ and onwards, __AUTHOR__ <__AUTHOR_EMAIL__>
#
# LICENCE:
#
#   This file is distributed under the terms of the __LICENCE_NAME__.
#   See the __LICENCE_FILE__ file, which should have been distributed with
#   this file, for details. If you did not receive the __LICENCE_FILE__ file,
#   see:
#
#   __LICENCE_URI__
#
# DESCRIPTION:
#
#   __DESCRIPTION__
#
# USAGE:
#
#   __FILENAME__ --help
#
# EXAMPLES:
#
#   __EXAMPLES__
#
# TODO:
#
#   - Nothing, this code is perfect
#
# DEPENDENCIES:
#
#   Bourne shell (e.g. /bin/sh or Bash)
#   __DEPENDENCIES__
#
# MODIFICATIONS:
#
#   __AUTHOR__ <__AUTHOR_EMAIL__> (__DATE__): Initial revision
# =========================================================================


# Constants
# ---------------------------------------------------------------------------


ME=`basename "$0"`


# ---------------------------------------------------------------------------


# Functions
# ---------------------------------------------------------------------------


# Function: usage()
#
# Prints a usage message.
#
# Parameters:
#
#   retval - if non-zero, the usage message will be printed to standard
#            error; otherwise, it will be printed to standard out
#
# Returns:
#
#   The retval parameter

usage() {

  usage="Usage: ${ME} __USAGE__"

  # Print usage message to standard output if our param is zero
  if test "$1" -eq 0; then

    echo "${usage}"

  # Otherwise, print to standard error
  else

    echo "${usage}" >&2

  fi # if (stdout or stderr?)

  return "$1"

} # usage()


# ---------------------------------------------------------------------------


# Main program
# ---------------------------------------------------------------------------


# Display usage if the user has requested help
if test "$1" = "--help" -o "$1" = "-?"; then

  usage 0
  exit $?

fi # if (--help)


# ---------------------------------------------------------------------------
