/* =========================================================================
 * File: __FILENAME__
 *
 * Copyright (c) __YEAR__ and onwards, __AUTHOR__ <__AUTHOR_EMAIL__>
 *
 * LICENCE:
 *
 *   This file is distributed under the terms of the __LICENCE_NAME__.
 *   See the __LICENCE_FILE__ file, which should have been distributed with
 *   this file, for details. If you did not receive the __LICENCE_FILE__ file,
 *   see:
 *
 *   __LICENCE_URI__
 *
 * DESCRIPTION:
 *
 *   __DESCRIPTION__
 *
 * USAGE:
 *
 *   __EXEC_FILENAME__ --help
 *
 * EXAMPLES:
 *
 *   __EXAMPLES__
 *
 * TODO:
 *
 *   - Nothing, this code is perfect
 *
 * DEPENDENCIES:
 *
 *   __DEPENDENCIES__
 *
 * MODIFICATIONS:
 *
 *   __AUTHOR__ <__AUTHOR_EMAIL__> (__DATE__): Initial revision
 * =========================================================================
 */

// Standard library includes
#include <stdio.h>
#include <string.h>


// Function prototypes
// ---------------------------------------------------------------------------


static int usage( const int retval );


// ---------------------------------------------------------------------------


// Main program
// ---------------------------------------------------------------------------


/** Function: main()
 *
 * Main program.
 *
 * Parameters:
 *
 *   argc - number of command-line arguments (including the full pathname of
 *          the executable)
 *   argv - command-line arguments (including the full pathname of the
 *          executable)
 *
 * Returns:
 *
 *   0 on success, UNIX return value on failure
 */

int main( const int argc, const char *argv[] ) {

  int i; // counter
  
  // Parse arguments
  for (i = 0; i < argc; i++) {

    // -? / --help
    if (strcmp( argv[i], "-?" ) == 0 || strcmp( argv[i], "--help" ) == 0)
      return usage( 0 );

  } // for (parsing arguments)

  return 0;

} // main()


// ---------------------------------------------------------------------------


// Functions
// ---------------------------------------------------------------------------


/** Function: usage()
 *
 * Prints a usage message.
 *
 * Parameters:
 *
 *   retval - if non-zero, the usage message will be printed to standard
 *            error; otherwise, it will be printed to standard out
 *
 * Returns:
 *
 *   The retval parameter
 */

static int usage( const int retval ) {

  fprintf( retval ? stderr : stdout, "Usage: __EXEC_FILENAME__ __USAGE__" );

  return retval;

} // usage()


// ---------------------------------------------------------------------------
